<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddInactiveColumn extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('formation_positions', function (Blueprint $table) {
            $table->boolean('inactive')->default(0)->after('user_id');
        });
        
        Schema::table('position_columns', function (Blueprint $table) {
            $table->boolean('inactive')->default(0)->after('user_id');
        });
        
        Schema::table('schedule_players', function (Blueprint $table) {
            $table->boolean('inactive')->default(0);
        });
        
        Schema::table('tactics', function (Blueprint $table) {
            $table->boolean('inactive')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
