@include('includes.admin.header')
@include('includes.admin.sidebar')     <!-- Content Wrapper. Contains page content -->
<script>
    $(document).ready(function(){
        $('#banners-menu').addClass('active');
    });
</script>
<link rel="stylesheet" href="/datepicker/dist/css/default/zebra_datepicker.min.css">
<script src="/datepicker/dist/zebra_datepicker.min.js"></script>
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Edit Banners
            <small>From Banners</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Banners</a></li>
            <li class="active">Edit Banner</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Edit Banner</h3>
                </div><!-- /.box-header -->
               <form class="form-horizontal" method="post">
                  <div class="box-body">
                   <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">URL</label>
                        <div class="col-sm-9">
                            {{Form::text('data[url]',$banner['url'],['class' => 'form-control', 'id' => 'url'])}}
                        </div>
                    </div>
                    
                      
                    <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Banner</label>
                        <div class="col-sm-9">
                            <img src="/uploads/banner/{{$banner['banner_location']}}" style="width:100px"/>


                        </div>
                    </div>
                  
                      <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Expiry Date</label>
                        <div class="col-sm-9">
                            @if ($banner['expiry_date'] != null)
                            {{Form::text('data[expiry_date]', date("d M Y", strtotime($banner['expiry_date'])),['class' => 'form-control datepicker', 'id' => 'expiry_date'])}}
                            @else
                            {{Form::text('data[expiry_date]','',['class' => 'form-control datepicker', 'id' => 'expiry_date'])}}
                            @endif
                        </div>
                    </div>
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                   
                    <button type="button" class="btn btn-info pull-right" id="btn-upload">Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
        $('.datepicker').Zebra_DatePicker({
                    format : 'd M Y'
                });
        $(document).ready(function(){
            $('#btn-upload').click(function(){
                $('#btn-upload').html('Uploading Banner....').attr('disabled', 'disabled');
                $('#banner-group').hide();
                $('#loading').show();
                var current = $(this);
                var url = $('#url').val();
                var expiry_date = $('#expiry_date').val();
                $.post('/admin/banner/{{$banner["UUID"]}}/update', {"_token": "{{ csrf_token() }}", url:url, expiry_date:expiry_date} , function(){
                    alert("Baner Updated Successfully");
                    window.location.href = '/admin/banners';
                },'json').fail(function(xhr) {
                     var res = xhr.responseJSON;
                        var html = '';
                        $(res).each(function(i, value){
                            html+= '<p>' + value + '</p>';
                        });
                        alert(html);
                    $(current).text('Update').removeAttr('disabled');
                },'json');

            });
        });
    </script>
    @include('includes.admin.footer')