@include('includes.admin.header')
@include('includes.admin.sidebar')  
<link rel="stylesheet" href="/datepicker/dist/css/default/zebra_datepicker.min.css">
<script src="/datepicker/dist/zebra_datepicker.min.js"></script>
<style>
    .Zebra_DatePicker_Icon_Wrapper
    {
        width : 100% !important;
    }
</style>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Edit Live Proposal
            <small>From Live Proposal</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#"> Live Proposal</a></li>
                <li class="active">Edit  Live Proposal</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Edit  Live Proposal</h3>
                </div><!-- /.box-header -->
                <div class="col-xs-12 hcenter" id="loading">
                        <img src="/images/loading.gif" />
                    </div>
               <form class="form-horizontal" id='register-form' style="display: none">
                   <div class="error" style="display: none">
                            
                        </div>
                  <div class="box-body">
                   
                    <div class="form-group">
                        <div class="col-xs-12">
                            <label for="main" class="col-sm-2 control-label">Decision</label>
                            <div class="col-sm-9">
                                <textarea class="form-control" id="suggestions" name="suggestions"></textarea>
                            </div>
                        </div>
                        <div class="col-xs-12 top-margin">
                            <label for="main" class="col-sm-2 control-label">Admin Response</label>
                            <div class="col-sm-9">
                                <textarea class="form-control" id="admin_response" name="admin_response"></textarea>
                            </div>
                        </div>
                        
                    </div>
                  
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                    <button type="reset" class="btn btn-default">Cancel</button>
                    <button type="button" class="btn btn-info pull-right" id='btn-submit'>Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <script>
            $('.datepicker').Zebra_DatePicker({
                format : 'd-m-Y'
            });
            $(document).ready(function(){
                
                $.get('/admin/live/proposal/{{$UUID}}',{"_token": "{{ csrf_token() }}"}, function(res){
                        $('#suggestions').val(res.suggestions);
                        $('#admin_response').val(res.admin_response);
                        $('#loading').hide();
                        $('#register-form').show();
                    },'json');
                
                $('#btn-submit').click(function(){
                    var current  = $(this);
                    current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                    var data = $("#register-form").serializeArray();
                    $.post('/admin/live/proposal/update/{{$UUID}}',{data:data, "_token": "{{ csrf_token() }}"}, function(res, status){
                        
                        alert('Live Proposal Updated Successfully');
                        window.location.href = '#body';
                        window.location.href = '/admin/live/proposal';
                    },'json')
                    .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                                html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;
                });
            });
        </script>
      @include('includes.admin.footer')